--Missions for Normandy Training Map 

--Azeville
local AzevilleForces1 = SPAWN:New("AzevilleTrucks-1")
local AzevilleForces2 = SPAWN:New("AzevilleHalftracks-1")
local AzevilleForces3 = SPAWN:New("AzevilleTanks-1")
local AzevilleForces4 = SPAWN:New("AzevilleLightAAA-1")
local AzevilleForces5 = SPAWN:New("AzevilleMediumAAA-1")
local AzevilleAttack = -1

--Bayeux

--Bomber Raids
	--Bomber Raid1 B-17--
local BomberRaid1 = SPAWN:New("BomberRaid-1")
local BomberRaid2 = SPAWN:New("BomberRaid-2")
local BomberRaid3 = SPAWN:New("BomberRaid-3")
local BomberRaid4 = SPAWN:New("BomberRaid-4")
local BomberRaid5 = SPAWN:New("BomberEscort-1")

--Carentan
local CarentanForces1 = SPAWN:New("CarentanTrucks-1")
local CarentanForces2 = SPAWN:New("CarentanHalftracks-1")
local CarentanForces3 = SPAWN:New("CarentanAAA-1")
local CarentanForces4 = SPAWN:New("CarentanArmor-1")
local CarentanForces5 = SPAWN:New("CarentanFlak-1")
local CarentanDefence = -1

--Cherbourg--

--Falaise Pocket

--Four Stacks Artillery
local FourStacksArtillery1 = SPAWN:New("FourStacks_Artillery-1")
local FourStacksArtillery2 = SPAWN:New("FourStacks_Halftracks-1")
local FourStacksArtillery3 = SPAWN:New("FourStacks_AAA-1")
local FourStacksArtillery = -1

--Azeville
local function AzevilleAttackStart (difficult)
	AzevilleAttack = difficult
		if difficult >=1 then
			AzevilleForces1:ReSpawn()
		end
		if difficult >=2 then
		AzevilleForces2:ReSpawn()
		end
		if difficult >=3 then
		AzevilleForces3:ReSpawn()
		end
		if difficult >=4 then
		AzevilleForces4:ReSpawn()
		end
		if difficult >=5 then
		AzevilleForces5:ReSpawn()
		end
		MessageToAll ("Allied forces are preparing to take Azeville airfield and have set up positions east and south-east of the airfield",60,"Azeville attack activated")
end

local function AzevilleAttackEnd()
	if AzevilleAttack >=1 then
		AzevilleForces1:GetLastAliveGroup():Destroy()
	end
	if AzevilleAttack >=2 then
		AzevilleForces2:GetLastAliveGroup():Destroy()
	end
	if AzevilleAttack >=3 then
		AzevilleForces3:GetLastAliveGroup():Destroy()
	end
	if AzevilleAttack >=4 then
		AzevilleForces4:GetLastAliveGroup():Destroy()
	end
	if AzevilleAttack >=5 then
		AzevilleForces5:GetLastAliveGroup():Destroy()
	end
	MessageToAll ("Attack on Azeville halted",60,"Azeville attack deactivated")
	AzevilleAttack = -1
end

--Bomber Raids
	--Bomber Raid 1
local function BombingRaid1Start (difficult)
	BombingRaid1 = difficult
		if difficult >=1 then
			BomberRaid1:ReSpawn()
			BomberRaid2:ReSpawn()
		end
		if difficult >=2 then
			BomberRaid5:ReSpawn()
		end
		if difficult >=3 then
			BomberRaid3:ReSpawn()
			BomberRaid4:ReSpawn()
		end
		MessageToAll ("A bomber formation is forming up over southern England at high altitude",60,"Bombing raid 1 activated")
end

local function BombingRaid1End()
	if BombingRaid1 >=1 then
		BomberRaid1:GetLastAliveGroup():Destroy()
		BomberRaid2:GetLastAliveGroup():Destroy()
	end
	if BombingRaid1 >=2 then
		BomberRaid5:GetLastAliveGroup():Destroy()
	end
	if BombingRaid1 >=3 then
		BomberRaid3:GetLastAliveGroup():Destroy()
		BomberRaid4:GetLastAliveGroup():Destroy()
	end
	MessageToAll ("Bombing raid aborted",60,"Bombing raid deactivated")
	BombingRaid1 = -1
end

--Carentan
local function CarentanDefenceStart (difficult)
	CarentanDefence = difficult
		if difficult >=1 then
			CarentanForces1:ReSpawn()
		end
		if difficult >=2 then
			CarentanForces2:ReSpawn()
		end
		if difficult >=3 then
			CarentanForces3:ReSpawn()
		end
		if difficult >=4 then
			CarentanForces4:ReSpawn()
		end
		if difficult >=5 then
			CarentanForces5:ReSpawn()
		end
		MessageToAll ("German forces are preparing a retreat from Carentan, They are gathered around the trainstation",60,"Carentan AO active")
end

local function CarentanDefenceEnd()
	if CarentanDefence >=1 then
		CarentanForces1:GetLastAliveGroup():Destroy()
	end
	if CarentanDefence >=2 then
		CarentanForces2:GetLastAliveGroup():Destroy()
	end
	if CarentanDefence >=3 then
		CarentanForces3:GetLastAliveGroup():Destroy()
	end
	if CarentanDefence >=4 then
		CarentanForces4:GetLastAliveGroup():Destroy()
	end
	if CarentanDefence >=5 then
		CarentanForces5:GetLastAliveGroup():Destroy()
	end
	MessageToAll ("Carentan AO is no longer active",60,"Carentan AO deactivated")
	CarentanDefence = -1
end

--Four Stacks Artillery
local function FourStacksArtilleryStart (difficult)
	FourStacksArtillery = difficult
		if difficult >=1 then
			FourStacksArtillery1:ReSpawn()
		end
		if difficult >=2 then
			FourStacksArtillery2:ReSpawn()
		end
		if difficult >=3 then
			FourStacksArtillery3:ReSpawn()
		end
		MessageToAll ("An Allied artillery battery located 6km north-west of Carpiquet has started shelling the airfield.",60,"Four Stacks Artillery activated")
end

local function FourStacksArtilleryEnd()
	if FourStacksArtillery >=1 then
		FourStacksArtillery1:GetLastAliveGroup():Destroy()
	end
	if FourStacksArtillery >=2 then
		FourStacksArtillery2:GetLastAliveGroup():Destroy()
	end
	if FourStacksArtillery >=3 then
		FourStacksArtillery3:GetLastAliveGroup():Destroy()
	end
	MessageToAll ("Artillery battery is no longer active",60,"Four Stacks Artillery deactivated")
	FourStacksArtillery = -1
end
	

--Trains NOT WORKING
--local CarentanTrain1 = SPAWN:New("CarentanTrain-1")
--local CarentanTrain = -1

--local function CarentanTrainStart (difficult)
	--CarentanTrain = difficult
		--if difficult >= 1 then
			--CarentanTrain1:ReSpawn()
		--end
		--MessageToAll ("A train with military supplies is departing Carentan to the East. Stop it!", 60, "Train activated")
--end

--local function CarentantTrainEnd()
	--if CarentanTrain >=1 then
		--CarentanTrain1:GetLastAliveGroup():Destroy()
	--end
	--MessageToAll ("Trains despawned",60, "Train inactive")
	--CarentanTrain = -1
--end


--Menu structure
--1st Level!
MenuCoalitionBlueA2G = MENU_COALITION:New( coalition.side.BLUE, "Mission Setup: A2G" )
MenuCoalitionRedA2G = MENU_COALITION:New( coalition.side.RED, "Mission Setup: A2G" )
MenuCoalitionBlueA2A = MENU_COALITION:New( coalition.side.BLUE, "Mission Setup: A2A" )
MenuCoalitionRedA2A = MENU_COALITION:New( coalition.side.RED, "Mission Setup: A2A" )

--2nd Level!
	--Ground Attack--
--local MenuCoalitionBlueTrains = MENU_COALITION:New( coalition.side.BLUE, "Trains", MenuCoalitionBlueA2G)
local MenuCoalitionCarentanAOBlue = MENU_COALITION:New( coalition.side.BLUE, "Carentan AO", MenuCoalitionBlueA2G)
local MenuCoalitionAzevilleAORed = MENU_COALITION:New( coalition.side.RED, "Azeville AO", MenuCoalitionRedA2G)
local MenuCoalitionFourStacksAORed = MENU_COALITION:New( coalition.side.RED, "Carpiquet AO", MenuCoalitionRedA2G)
	--Bomber Formations--
local MenuCoalitionBombingRaidRed = MENU_COALITION:New( coalition.side.RED, "Allied Bombing Raids", MenuCoalitionRedA2A)
local MenuCoalitionBombingRaidBlue = MENU_COALITION:New( coalition.side.BLUE, "Axis Bombing Raids", MenuCoalitionBlueA2A)

--Action Level!
		--Trains--
--local MenuAdd = MENU_COALITION_COMMAND:New( coalition.side.BLUE, "Carentan train - EAST: Start", MenuCoalitionBlueTrains, CarentanTrainStart, 1)
--local MenuAdd = MENU_COALITION_COMMAND:New( coalition.side.BLUE, "Carentan train - EAST: End", MenuCoalitionBlueTrains, CarentantTrainEnd)

		--Azeville Attack--
local MenuAdd = MENU_COALITION_COMMAND:New( coalition.side.RED, "Azeville AO EASY: Start", MenuCoalitionAzevilleAORed, AzevilleAttackStart, 1)
local MenuAdd = MENU_COALITION_COMMAND:New( coalition.side.RED, "Azeville AO MEDIUM: Start", MenuCoalitionAzevilleAORed, AzevilleAttackStart, 2)
local MenuAdd = MENU_COALITION_COMMAND:New( coalition.side.RED, "Azeville AO HARD: Start", MenuCoalitionAzevilleAORed, AzevilleAttackStart, 3)
local MenuAdd = MENU_COALITION_COMMAND:New( coalition.side.RED, "Azeville AO VERY HARD: Start", MenuCoalitionAzevilleAORed, AzevilleAttackStart, 4)
local MenuAdd = MENU_COALITION_COMMAND:New( coalition.side.RED, "Azeville AO INSANE: Start", MenuCoalitionAzevilleAORed, AzevilleAttackStart, 5)
local MenuAdd = MENU_COALITION_COMMAND:New( coalition.side.RED, "Azeville AO: End", MenuCoalitionAzevilleAORed, AzevilleAttackEnd)

		--Bombing Raids--
local MenuAdd = MENU_COALITION_COMMAND:New (coalition.side.RED, "High Altitude Formation: Two Elements", MenuCoalitionBombingRaidRed, BombingRaid1Start, 1)
local MenuAdd = MENU_COALITION_COMMAND:New (coalition.side.RED, "High Altitude Formation: Two Elements with Escorts", MenuCoalitionBombingRaidRed, BombingRaid1Start, 2)
local MenuAdd = MENU_COALITION_COMMAND:New (coalition.side.RED, "High Altitude Formation: Four Elements with Escorts", MenuCoalitionBombingRaidRed, BombingRaid1Start, 3)
local MenuAdd = MENU_COALITION_COMMAND:New (coalition.side.RED, "High Altitude Formation: End", MenuCoalitionBombingRaidRed, BombingRaid1End)

		--Carentan Defence--
local MenuAdd = MENU_COALITION_COMMAND:New( coalition.side.BLUE, "Carentan AO EASY: Start", MenuCoalitionCarentanAOBlue, CarentanDefenceStart, 1)
local MenuAdd = MENU_COALITION_COMMAND:New( coalition.side.BLUE, "Carentan AO MEDIUM: Start", MenuCoalitionCarentanAOBlue, CarentanDefenceStart, 2)
local MenuAdd = MENU_COALITION_COMMAND:New( coalition.side.BLUE, "Carentan AO HARD: Start", MenuCoalitionCarentanAOBlue, CarentanDefenceStart, 3)
local MenuAdd = MENU_COALITION_COMMAND:New( coalition.side.BLUE, "Carentan AO VERY HARD: Start", MenuCoalitionCarentanAOBlue, CarentanDefenceStart, 4)
local MenuAdd = MENU_COALITION_COMMAND:New( coalition.side.BLUE, "Carentan AO INSANE: Start", MenuCoalitionCarentanAOBlue, CarentanDefenceStart, 5)
local MenuAdd = MENU_COALITION_COMMAND:New( coalition.side.BLUE, "Carentan AO: End", MenuCoalitionCarentanAOBlue, CarentanDefenceEnd)

		--Four Stacks Artillery--
local MenuAdd = MENU_COALITION_COMMAND:New( coalition.side.RED, "Carpiquet AO EASY: Start", MenuCoalitionFourStacksAORed, FourStacksArtilleryStart, 1)
local MenuAdd = MENU_COALITION_COMMAND:New( coalition.side.RED, "Carpiquet AO Medium: Start", MenuCoalitionFourStacksAORed, FourStacksArtilleryStart, 2)
local MenuAdd = MENU_COALITION_COMMAND:New( coalition.side.RED, "Carpiquet AO Hard: Start", MenuCoalitionFourStacksAORed, FourStacksArtilleryStart, 3)
local MenuAdd = MENU_COALITION_COMMAND:New( coalition.side.RED, "Carpiquet AO: End", MenuCoalitionFourStacksAORed, FourStacksArtilleryEnd)